void GetDescription(char d[])
{
   strcpy(d,"Digital clock - Right bottom corner");
}
int GetPriority()
{
   return 255;
}
int GetValueAfter(char str[])
{
  char val[100];
  char line[200];
  int i, l, k;
   
  GetLineByStr(str,line);
  
  l = strlen(str);
  for (i = 0, k= 0; i <= l; i++) 
  {  
    if (line[l+i] != ' ') val[k++] = line[l+i];
    else if (k) break;
  }  
  return atol(val);
}
int IsResMore176()
{
    int DigClockX;  
    DigClockX = GetValueAfter("1 574 ");
    return (DigClockX > 144);
}

void PatchSKI()
{
   
  if (!IsResMore176())
     ReplaceLineByStr("1 574 ", "1 574 135 173 174 195"); 
  else
     ReplaceLineByStr("1 574 ", "1 574 150 252 237 284");

}